#
# spec file for package ldapcpplib (Version 0.0.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  cyrus-sasl2 cyrus-sasl2-devel db4-devel des doxygen gpp  libgpp openldap openldap-clients openldap-devel openssl openssl-devel krb5-libs, krb5-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam  patch  popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils cyrus-sasl-devel  doxygen e2fsprogs-devel gcc gcc-c++ gdbm gettext  libstdc++-devel libtool openldap openldap-devel openssl-devel perl rpm db4-devel krb5-libs krb5-devel suse-macros

Name:         ldapcpplib
License:      BSD, Other License(s), see package
Group:        Development/Libraries/C and C++
Provides:     ldapcpp
Autoreqprov:  on
Summary:      C++ API for LDAPv3
Version:      0.0.3
Release:      21.3
Source:       %{name}-%{version}.tar.bz2
Patch:        server_msg.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%prep
%setup -n %{name}-%{version}
%patch

%build
#g++32 can't support mtune parameter
RPM_OPT_FLAGS=`echo "$RPM_OPT_FLAGS" | sed -e 's/-mtune=pentium4//'`
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
%{?suse_update_config:%{suse_update_config -l -f build}}
libtoolize --force
aclocal
autoheader
automake --foreign
autoconf
./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc \
	--enable-shared --with-libldap=%{_libdir} \
	--with-ldap-includes=/usr/include --libdir=%{_libdir}
make
rm -rf srcdoc/CVS
doxygen doxygen.rc

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libldapcpp.*
%doc LICENSE README COPYRIGHT srcdoc
/usr/include/LDAP*.h
/usr/include/StringList.h

%description -n ldapcpplib
C++ API for LDAPv3.

Documentation is in /usr/share/doc/packages/ldapcpplib/srcdoc.



Authors:
--------
    Ralf Haferkamp <rhafer@suse.de>


%changelog -n ldapcpplib
* Mon Mar 12 2007 - wenji.huang@oracle.com
- Fit spec to RHEL/EL
* Fri Apr 16 2004 - rhafer@suse.de
- Bugzilla ID #38668: read additional server messsage in case of
  errors.
* Mon Mar 22 2004 - rhafer@suse.de
- correctly ignore capitalisation of Objectclasses and
  Attributetypes in LDAPSchema.cpp
* Tue Feb 03 2004 - rhafer@suse.de
- updated to latest version
- run auto*-tools before build
- filelist cleanup
* Thu Jan 22 2004 - rhafer@suse.de
- updated to latest version from CVS
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Jul 15 2003 - rhafer@suse.de
- added Schema parsing Classes, needed by YaST
* Mon May 12 2003 - rhafer@suse.de
- removed caching code (no_cache.dif) as libldap doesn't support
  it anymore
* Wed Jan 15 2003 - ro@suse.de
- use sasl2
* Thu Aug 08 2002 - rhafer@suse.de
- removed SASL related stuff (did not work correctly)
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Thu Jul 04 2002 - ro@suse.de
- added heimdal-devel to neededforbuild to make libtool happy
* Mon Apr 29 2002 - rhafer@suse.de
- added %%{_libdir} to compile package on lib64-archs
* Mon Apr 08 2002 - rhafer@suse.de
- using bzip2 compression now
- included newest version to be able to build with gcc 3.1 now
* Fri Nov 16 2001 - rhafer@suse.de
- Makes use of namespaces now
- Include bugfixes for some memory allocation/freeing issues
* Tue Jun 12 2001 - rhafer@suse.de
- added openssl-devel to needforbuild
- some changes in configure.in to make it work with new autoconf
- added libtoolize, aclocal calls to SPEC file
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Feb 28 2001 - rhafer@suse.de
- disabled generation of RTF docs
* Tue Feb 27 2001 - ro@suse.de
- changed neededforbuild <cyrus-sasl> to <cyrus-sasl cyrus-sasl-devel>
* Mon Feb 26 2001 - rhafer@suse.de
- Included the lastest bugfixes and the diff of schwab@suse.de
  in the source tgz
* Mon Jan 22 2001 - schwab@suse.de
- Fix visibility violations.
* Fri Jan 05 2001 - rhafer@suse.de
- first version of the ldapcpplib package
